net.snowflake.client.jdbcapi

## Class BaseJDBCTest

- java.lang.Object
- - net.snowflake.client.AbstractDriverIT
  - - net.snowflake.client.jdbcapi.BaseJDBCTest

Direct Known Subclasses:
  ConnectionIT, DatabaseMetaDataIT, OpenGroupCLIFuncIT, PreparedStatementIT, ResultSetIT, StatementIT

    public class BaseJDBCTest
    extends AbstractDriverIT

Author:
  hyu

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `compareTwoLists(ArrayList<String> expected, ArrayList<String> actual)`
`ArrayList<String>` `fetchColumnInResultSet(ResultSet rs, int columnIndex)`
`ArrayList<ArrayList<String>>` `fetchResultSet(ResultSet rs, boolean printResult)`
`static Connection` `getConnection()`
`static Connection` `getConnection(Properties properties)`
`ArrayList<String>` `getInfoViaSQLCmd(String sqlCmd)`
`String` `getSFProjectRootString()`
`int` `getSizeOfResultSet(ResultSet rs)`
`void` `loadConfig()`

### Methods inherited from class net.snowflake.client.AbstractDriverIT

`getConnection, getConnection, setUp, tearDown`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getConnection

    public static Connection getConnection()
                                    throws SQLException

Throws:
  `SQLException`

#### getConnection

    public static Connection getConnection(Properties properties)
                                    throws SQLException

Throws:
  `SQLException`

#### getSizeOfResultSet

    public int getSizeOfResultSet(ResultSet rs)
                           throws SQLException

Throws:
  `SQLException`

#### loadConfig

    public void loadConfig()

#### getSFProjectRootString

    public String getSFProjectRootString()
                                  throws Exception

Throws:
  `Exception`

#### compareTwoLists

    public void compareTwoLists(ArrayList<String> expected,
                                ArrayList<String> actual)

#### fetchResultSet

    public ArrayList<ArrayList<String>> fetchResultSet(ResultSet rs,
                                                       boolean printResult)
                                                throws SQLException

Throws:
  `SQLException`

#### fetchColumnInResultSet

    public ArrayList<String> fetchColumnInResultSet(ResultSet rs,
                                                    int columnIndex)
                                             throws SQLException

Throws:
  `SQLException`

#### getInfoViaSQLCmd

    public ArrayList<String> getInfoViaSQLCmd(String sqlCmd)
                                       throws SQLException

Throws:
  `SQLException`